Page MenuHomePhabricator

Change property suggester to use hook instead of monkey patching
Closed, ResolvedPublic8 Estimated Story Points

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2018, 7:26 AM
Addshore set the point value for this task to 8.
Addshore moved this task from Incoming to In Progress on the Wikidata-Campsite board.
Addshore moved this task from incoming to in progress on the Wikidata board.Aug 30 2018, 9:06 AM

Change 458187 had a related patch set uploaded (by Jonas Kress (WMDE); owner: Jonas Kress (WMDE)):
[mediawiki/extensions/PropertySuggester@master] Change property suggester to use hook instead of monkey patching

https://gerrit.wikimedia.org/r/458187

Jonas updated the task description. (Show Details)Sep 6 2018, 5:50 AM
Jonas updated the task description. (Show Details)Sep 10 2018, 7:04 AM

Change 459505 had a related patch set uploaded (by Jonas Kress (WMDE); owner: Jonas Kress (WMDE)):
[mediawiki/extensions/Wikibase@master] Teach EntitySelector._combineResults() to evaluate rank

https://gerrit.wikimedia.org/r/459505

Jonas updated the task description. (Show Details)Sep 10 2018, 8:27 AM
Jonas updated the task description. (Show Details)Sep 10 2018, 1:28 PM
Addshore triaged this task as Medium priority.Sep 19 2018, 7:02 AM

Change 459505 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Teach EntitySelector._combineResults() to evaluate rank

https://gerrit.wikimedia.org/r/459505

hoo updated the task description. (Show Details)Oct 11 2018, 11:24 PM
hoo updated the task description. (Show Details)
Tarrow added a subscriber: Tarrow.Oct 16 2018, 8:13 AM

I believe now that https://gerrit.wikimedia.org/r/459505 is merged we can go ahead.

Jonas' -2

We need to first teach the hook to evaluate ranking information, otherwise we have a running condition that randomly sorts suggestions.

is, I believe, satisfied by the above patch. Since @Jonas is now hiking and also away I'm going to go ahead and remove the -2.

I have tested it locally and am happy that in my dev setup that the suggestions are sorted by rank